Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.core.impl.model.content
Class InternalContentProvider

    java.lang.Object
      org.jboss.portal.core.impl.model.content.InternalContentProvider

All Implemented Interfaces:
  ContentRenderer

Direct Known Subclasses:
  InternalGenericContentProvider, InternalPortletContentProvider

    public abstract class InternalContentProvider

extends java.lang.Object
implements ContentRenderer

Version:
  $Revision: 9006 $
Author:
  Julien Viet

Constructor Summary
`InternalContentProvider()`

Method Summary
`protected abstract ContentProvider` | `createProvider()`
`java.lang.String` | `getContentType()`
`PortalAuthorizationManagerFactory` | `getPortalAuthorizationManagerFactory()`
`protected abstract Instance` | `getPortletInstance(ContentRendererContext rendererContext)` Returns the portlet instance to render view mode.
`ContentType` | `getRegisteredContentType()`
`InternalContentProviderRegistry` | `getRegistry()`
`WindowRendition` | `renderWindow(ContentRendererContext rendererContext)`
`void` | `setContentType(java.lang.String contentType)`
`void` | `setPortalAuthorizationManagerFactory(PortalAuthorizationManagerFactory portalAuthorizationManagerFactory)`
`void` | `setRegistry(InternalContentProviderRegistry registry)`
`void` | `start()`
`void` | `stop()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InternalContentProvider

    public InternalContentProvider()

Method Detail

### getPortalAuthorizationManagerFactory

    public PortalAuthorizationManagerFactory getPortalAuthorizationManagerFactory()

### setPortalAuthorizationManagerFactory

    public void setPortalAuthorizationManagerFactory(PortalAuthorizationManagerFactory portalAuthorizationManagerFactory)

### getContentType

    public java.lang.String getContentType()

### setContentType

    public void setContentType(java.lang.String contentType)

### getRegisteredContentType

    public ContentType getRegisteredContentType()

### getRegistry

    public InternalContentProviderRegistry getRegistry()

### setRegistry

    public void setRegistry(InternalContentProviderRegistry registry)

### start

    public void start()
               throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### createProvider

    protected abstract ContentProvider createProvider()

### stop

    public void stop()

### getPortletInstance

    protected abstract Instance getPortletInstance(ContentRendererContext rendererContext)

  Returns the portlet instance to render view mode.

  Parameters:
    `rendererContext` -
  Returns:
    the portlet instance for the view mode

### renderWindow

    public WindowRendition renderWindow(ContentRendererContext rendererContext)

  Specified by:
    `renderWindow` in interface `ContentRenderer`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD